Bug 996108 - User for task reassignment cannot be specified by process variable
User for task reassignment cannot be specified by process variable
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 08:25 EDT by Radovan Synek
Modified: 2014-08-06 16:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-08-12 08:25:49 EDT
Description of problem:
When I want to define reassignment on a user task and this task should be assigned to some user specified in process variable, Designer denies to accept expression #{variableName} as input of field "Users" (or field "Groups").
Similarly when defining escalation, process variable cannot be used on any field except the "Body" field.
The only explanation I get is "The value in this field is invalid". If I understand it correctly, all these options are transformed to bpmn2 definitions as data input/output mappings of the task, so usage of the process variables should be possible.

Version-Release number of selected component (if applicable):
6.0.0.CR1
Comment 1 Tihomir Surdilovic 2013-10-01 18:21:17 EDT
fixed in designer master and 6.0.x breanches
Comment 3 Radovan Synek 2013-12-04 11:07:53 EST
Verified on BPMS-6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.